libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_date Struct Reference

Human readable Date and time used by libnova. More...

## Data Fields
int | years
int | months
int | days
int | hours
int | minutes
double | seconds

## Detailed Description

Human readable Date and time used by libnova.

Date

This is the Human readable (easy printf) date format used by libnova. It's always in UTC. For local time, please use ln_zonedate.

Examples:
  comet.c, and transforms.c.

## Field Documentation

int ln_date::days

Days. Valid values 1 - 28,29,30,31 Depends on month.

Examples:
  transforms.c.

Referenced by ln_date_to_zonedate(), ln_get_date(), ln_get_date_from_mpc(), ln_get_date_from_sys(), ln_get_julian_day(), and ln_zonedate_to_date().

int ln_date::hours

Hours. Valid values 0 - 23.

Examples:
  transforms.c.

Referenced by ln_date_to_zonedate(), ln_get_date(), ln_get_date_from_mpc(), ln_get_date_from_sys(), ln_get_julian_day(), and ln_zonedate_to_date().

int ln_date::minutes

Minutes. Valid values 0 - 59.

Examples:
  transforms.c.

Referenced by ln_date_to_zonedate(), ln_get_date(), ln_get_date_from_mpc(), ln_get_date_from_sys(), ln_get_julian_day(), and ln_zonedate_to_date().

int ln_date::months

Months. Valid values : 1 (January) - 12 (December)

Examples:
  transforms.c.

Referenced by ln_date_to_zonedate(), ln_get_date(), ln_get_date_from_mpc(), ln_get_date_from_sys(), ln_get_julian_day(), and ln_zonedate_to_date().

double ln_date::seconds

Seconds. Valid values 0 - 59.99999....

Examples:
  transforms.c.

Referenced by ln_date_to_zonedate(), ln_get_date(), ln_get_date_from_mpc(), ln_get_date_from_sys(), ln_get_julian_day(), and ln_zonedate_to_date().

int ln_date::years

Years. All values are valid

Examples:
  transforms.c.

Referenced by ln_date_to_zonedate(), ln_get_date(), ln_get_date_from_mpc(), ln_get_date_from_sys(), ln_get_julian_day(), and ln_zonedate_to_date().